#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define module_name mail

Name:           e_module-%{module_name}
Version:	0.0.3
Release:        2.22
License:        GPL-2.0
Summary:        Mail module for the Enlightenment window manager
Url:            git://git.enlightenment.org/git/e.git
Group:          System/GUI/Other
Source:         %{module_name}-%{version}.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  e17-devel
BuildRequires:  ecore-devel
BuildRequires:  edje-devel
BuildRequires:  gnutls-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
Requires:       e17
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
E-mail notification module for the Enlightenment window manager.

%prep
%setup -q -n %{module_name}-%{version}

%build
%{configure} --disable-static --disable-silent-rules
make %{?_smp_mflags} %{?mflags}

%install
make %{?mflags_install} DESTDIR=%{buildroot} install
%{find_lang} %{module_name} || true > %{module_name}.lang

%clean
test "x%{buildroot}" != "x/" && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{module_name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL
%dir %{_libdir}/enlightenment/modules/%{module_name}/
# FIXME: desktop file needs translation
%{_libdir}/enlightenment/modules/%{module_name}/*

%changelog
* Sat Dec 22 2012       Andrew Wyatt <andrew@fuduntu.org> - Version:0.0.3-2.22
- Built for Fuduntu

* Fri Nov 30 2012 sleep_walker@suse.cz
- remove autoupdate part of spec
- remove not needed dependencies
- fix license
* Wed Nov 28 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 2c55708c1c405b6df9b2660d0f21ce73acfec3c4
* Sun Nov 25 2012 sleep_walker@suse.cz
- use efl instead of separate packages
* Sat Nov 24 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 29f4a3d41d6c6458d104dc52ab9836987f5cc750
* Thu Nov  8 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 5caa2cbddbcb430d79cf5e93df9bca99dcc93f57
* Thu Sep 20 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision ab2747c0e47dcec73618f6742fbcf9b9c72d1579
* Thu Sep  6 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 0ee8d6400d6996e17522246cf3eac9bc482f9331
* Wed Aug  1 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision af3e3e5f6fcd84d738975bab24e4df03eeb918ff
* Sat Feb  4 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision b92ca076d35651233e1c1de6b75c0c96dde18a09
* Wed Jan 25 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 4502968fcfcdbadeb7e07cc66566801367fe4c6c
* Fri Dec 30 2011 sleep_walker@suse.cz
- explicitly BuildRequire autoconf, automake and libtool
* Fri Dec 16 2011 sleep_walker@suse.cz
- source_grabber autoupdate to revision 577e9985314084fc296f19beb0bc6f68f94de6f0
* Mon Dec 12 2011 sleep_walker@suse.cz
- source_grabber autoupdate to revision 99ddf39a334a67c79449823cd94372c52f2a21be
* Tue Nov 15 2011 tcech@suse.com
- bump version to 0.0.3
* Mon Nov 14 2011 tcech@suse.com
- bump version to 0.0.3
* Sat Nov  5 2011 tcech@suse.com
- bump version to 0.0.3
* Mon Oct 24 2011 jreidinger@suse.com
- bump version to 0.0.3
* Mon Oct 24 2011 tcech@suse.com
- bump version to 0.0.3
* Fri Oct 21 2011 tcech@suse.com
- bump version to 0.0.3
* Wed Oct 19 2011 tcech@suse.com
- bump version to 0.0.3
* Tue Oct 18 2011 jreidinger@suse.com
- bump version to 0.0.3
* Mon Oct 17 2011 tcech@suse.com
- remove fixes since they're in upstream
* Mon Oct 17 2011 tcech@suse.com
- bump version to 0.0.3
* Fri Oct 14 2011 jreidinger@suse.com
- bump version to 0.0.3
* Thu Oct 13 2011 jreidinger@suse.com
- bump version to 0.0.3
* Wed Oct 12 2011 tcech@suse.com
- bump version to 0.0.3
* Wed Oct 12 2011 tcech@suse.com
- bump version to 0.0.3
* Tue Oct 11 2011 tcech@suse.com
- fix of fix of missing gnutls function
* Tue Oct 11 2011 tcech@suse.com
- fix unitialized value, fix missing gnutls function
* Tue Oct 11 2011 jreidinger@suse.com
- bump version to 0.0.3
* Sat Oct  8 2011 tcech@suse.com
- fix edje dependency
* Fri Aug 12 2011 sleep_walker@suse.cz
- initial commit
